org.omg.CORBA

## Interface DynValue

- All Superinterfaces:
    DynAny, Object

  Deprecated.
  Use the new DynValue instead

      @Deprecated
      public interface DynValue
      extends Object, DynAny

  The representation of a `DynAny` object that is associated with an IDL value type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TCKind` | `current_member_kind()` Deprecated. Returns the `TCKind` object that describes the current member.
    `String` | `current_member_name()` Deprecated. Returns the name of the current member while traversing a `DynAny` object that represents a Value object.
    `NameValuePair[]` | `get_members()` Deprecated. Returns an array containing all the members of the value object stored in this `DynValue`.
    `void` | `set_members(NameValuePair[] value)` Deprecated. Sets the members of the value object this `DynValue` object represents to the given array of `NameValuePair` objects.

    - ### Methods inherited from interface org.omg.CORBA.DynAny

      `assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

- - ### Method Detail

    - #### current_member_name

          String current_member_name()

      Deprecated.
      Returns the name of the current member while traversing a `DynAny` object that represents a Value object.
      Returns:
        the name of the current member

    - #### current_member_kind

          TCKind current_member_kind()

      Deprecated.
      Returns the `TCKind` object that describes the current member.
      Returns:
        the `TCKind` object corresponding to the current member

    - #### get_members

          NameValuePair[] get_members()

      Deprecated.
      Returns an array containing all the members of the value object stored in this `DynValue`.
      Returns:
        an array of name-value pairs.
      See Also:
        `set_members(org.omg.CORBA.NameValuePair[])`

    - #### set_members

          void set_members(NameValuePair[] value)
                           throws InvalidSeq

      Deprecated.
      Sets the members of the value object this `DynValue` object represents to the given array of `NameValuePair` objects.
      Parameters:
        `value` - the array of name-value pairs to be set
      Throws:
        `InvalidSeq` - if an inconsistent value is part of the given array
      See Also:
        `get_members()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.